<HTML>
<HEAD>
<!-- This HTML file has been created by texi2html 1.54
     from suif1.texi on 28 April 1999 -->

<TITLE>The SUIF Version 1 Library - Fortran</TITLE>
<link href="suif1_90.html" rel=Next>
<link href="suif1_88.html" rel=Previous>
<link href="suif1_toc.html" rel=ToC>

</HEAD>
<BODY>
<p>Go to the <A HREF="suif1_1.html">first</A>, <A HREF="suif1_88.html">previous</A>, <A HREF="suif1_90.html">next</A>, <A HREF="suif1_113.html">last</A> section, <A HREF="suif1_toc.html">table of contents</A>.
<P><HR><P>


<H1><A NAME="SEC89" HREF="suif1_toc.html#TOC89">Features for Compiling Fortran</A></H1>
<P>
<A NAME="IDX648"></A>

</P>
<P>
SUIF is roughly based on C semantics and does not directly support some
Fortran features.  In particular, call-by-reference parameters occur
frequently in Fortran programs and must be implemented in terms of
other SUIF features.  This introduces extra complexity that makes it
harder to analyze and optimize the procedures.  Fortunately this
complexity can be hidden somewhat by converting the procedures to the
SUIF Fortran form.  The SUIF library provides functions to translate a
procedure to this Fortran form after it is read from a file and to
translate it back to the original SUIF form before it is written out.
Common blocks and equivalences are generally handled using
sub-variables, so the library's Fortran form does not need to do
anything special to deal with them.  Other more obscure Fortran
features are also not handled in the Fortran form because they are
less common and hard to deal with however they are represented.

</P>

<UL>
<LI><A HREF="suif1_90.html#SEC90">Call-By-Ref Parameters</A>: Passing parameters by reference.
</UL>

<P><HR><P>
<p>Go to the <A HREF="suif1_1.html">first</A>, <A HREF="suif1_88.html">previous</A>, <A HREF="suif1_90.html">next</A>, <A HREF="suif1_113.html">last</A> section, <A HREF="suif1_toc.html">table of contents</A>.
</BODY>
</HTML>
